# The following tag is to get correct syntax highlighting for this file in vim text editor
# vim: syntax=spec

# This spec file is used for automatic rebuilds in COPR
# This is not the official spec file for any distro

%global with_debug 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global bin_name conmonrs

Name: conmon-rs
Epoch: 101
Version: 0.7.0
Release: 1.20250721132340416449.main.307.ga0a322d7%{?dist}
Summary: Container monitor in Rust
License: ASL 2.0 and BSD and ISC and MIT
URL: https://github.com/containers/conmon-rs
VCS: git+https://github.com/containers/conmon-rs#a0a322d77c251a8d9ca9bf36445a9740b6260c27:
Source: %{name}-0.7.0.tar.gz
# CentOS Stream doesn't have capnproto yet.
# It's built separately on the copr.
BuildRequires: capnproto
BuildRequires: cargo
BuildRequires: git-core
BuildRequires: make
BuildRequires: protobuf-compiler
Provides: %{bin_name}
ExclusiveArch: %{rust_arches}

%global _description %{expand:
%{summary}}

%description %{_description}

%prep
%autosetup -Sgit -n %{name}-0.7.0

%build
%{__make} release

%install
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} install

%files
%license LICENSE
%{_bindir}/%{bin_name}

%changelog
